## org.omg.CORBA
Class ConstructionPolicyHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ConstructionPolicyHelper

public class ConstructionPolicyHelper
extends java.lang.Object

Helper class for : ConstructionPolicy

Author:
  OpenORB Compiler

Constructor Summary
`ConstructionPolicyHelper()`

Method Summary
`static ConstructionPolicy` `extract(Any a)` Extract ConstructionPolicy from an any
`static java.lang.String` `id()` Return the ConstructionPolicy IDL ID
`static void` `insert(Any a, ConstructionPolicy t)` Insert ConstructionPolicy into an any
`static ConstructionPolicy` `narrow(Object obj)` Narrow CORBA::Object to ConstructionPolicy
`static ConstructionPolicy` `read(InputStream istream)` Read ConstructionPolicy from a marshalled stream
`static TypeCode` `type()` Return the ConstructionPolicy TypeCode
`static ConstructionPolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ConstructionPolicy
`static void` `write(OutputStream ostream, ConstructionPolicy value)` Write ConstructionPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructionPolicyHelper

    public ConstructionPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ConstructionPolicy t)

  Insert ConstructionPolicy into an any
  Parameters:
    `a` - an any
    `t` - ConstructionPolicy value

### extract

    public static ConstructionPolicy extract(Any a)

  Extract ConstructionPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ConstructionPolicy value

### type

    public static TypeCode type()

  Return the ConstructionPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ConstructionPolicy IDL ID
  Returns:
    an ID

### read

    public static ConstructionPolicy read(InputStream istream)

  Read ConstructionPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ConstructionPolicy value

### write

    public static void write(OutputStream ostream,
                             ConstructionPolicy value)

  Write ConstructionPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ConstructionPolicy value

### narrow

    public static ConstructionPolicy narrow(Object obj)

  Narrow CORBA::Object to ConstructionPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ConstructionPolicy Object

### unchecked_narrow

    public static ConstructionPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ConstructionPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ConstructionPolicy Object